blob_id stringlengths 40 40 | length_bytes int64 7 488k | source stringlengths 7 488k |
|---|---|---|
18af81c694c333791c0da3db8e2d9ed33d264b1a | 278 | #! /usr/bin/env bash
source "../../test-helper.sh"
source "../../../src/lib/helpers/trim.sh"
#
# trim() tests
#
assert 'trim " foo bar "' "foo bar"
assert 'trim "foo bar "' "foo bar"
assert 'trim " foo bar"' "foo bar"
assert 'trim "foo bar"' "foo bar"
assert_end "trim()"
|
b6831a697573d8253a3122cfdbcfcb14e490f680 | 77 | for file in output*.txt
do
cp $file $(echo $(basename $file .txt)).bak
done
|
4cda149b2c09d56097c8ccc527fec853c164f6e5 | 541 | #!/bin/bash
function set_pkg_env
{
PKG_NAME="glib"
PKG_VERSION="2.42.2"
PKG_SRC_DIR="${PKG_NAME}-${PKG_VERSION}"
PKG_SRC_FILE="${PKG_SRC_DIR}.tar.xz"
PKG_SRC_URL="http://ftp.gnome.org/pub/gnome/sources/glib/2.42/${PKG_SRC_FILE}"
# For now it is assumed that glib2-devel is also installed on the
# build system.... |
990d103ac467e411ebdffaa3b6d2c991df41b30b | 3,072 | #!/bin/bash
# modified from
# https://github.com/paulczar/docker-wordpress/blob/master/docker
#
DOCKER_IMAGE=essa/mysql-repl
echo
echo "Create MySQL Tier"
echo "-----------------"
echo "* Create MySQL01"
if [ -d data/mysql ]; then
echo "using existing DB"
else
mkdir -p data/mysql
cp ./initialize_db.sh data/mysq... |
08a1c39b85c17d17b451379b0f7886f75b9cf88f | 603 | #!/bin/sh
sudo rm -rf /opt/woobuntu/webgoat
sudo mkdir -p /opt/woobuntu/webgoat
sudo chmod a+rw /opt/woobuntu/webgoat
cd /opt/woobuntu/webgoat
sudo wget https://github.com/WebGoat/WebGoat/releases/download/7.0.1/webgoat-container-7.0.1-war-exec.jar -O webgoat.jar
cat > /tmp/webgoat.desktop <<EOF
[Desktop Entry]
Version... |
9f493f1a042217df6ee9b28d376eadeb86c41002 | 17,192 | #! /bin/bash
if [ $# -lt 2 ]; then
echo "Usage: nps_check.sh nps_command ..."
echo "nps_command:"
echo " stdgt traindir traintag"
echo " init workdir"
echo " last workdir winshift1 winshift2 ..."
echo " score workdir valdir valtag winshift1 winshift2 ..."
echo ""
echo "Not... |
75ccea7e3f9883eea96e90ade3e499b4b7898367 | 41 | #!/bin/bash
rdate -o 9090 -p 127.0.0.1
|
79d1cedcacb5181dfc62d1553ac59bbdac87d93b | 1,204 | baudrate 115200
board khadas-vim
bootcmd run m_autoboot;
bootenv uEnv.txt
bootdelay 5
bootscr boot.scr
console ttyS0
cpu s905x
dbglevel 0
errlevel 0
fdt kvim.dtb
fdt_addr_r 0x01000000
fdt_high 0x20000000
ramdisk kernel/uInitrd
ramdisk_addr_r 0x13000000
initrd_high 0x60000000
kernel Image
kernel_addr_r 0x010800... |
3532ce9c3506860b21fad591185310cad756b30a | 128 | cat fulltri.csv | grep blog > blogtri.csv
cat fulltri.csv | grep news > newstri.csv
cat fulltri.csv | grep tweet > tweettri.csv
|
5aa334881dbbf545160b95a0d1805d217b033e99 | 869 | #!/bin/bash
set -e
set -o pipefail
set -o xtrace
export NIM_ROOT=$HOME/Nim
compile() {
./bin/nim c koch
./koch boot -d:release
./koch nimble
}
# If Nim and nimble are still cached from the last time
if [ -x "$NIM_ROOT/bin/nim" ]; then
# Check if the Nim cache is older than 7 days
if ! find "$NI... |
b3657e82c616ac13dd7c6280657928dba12334d5 | 2,083 | #!/bin/sh
# Verify that chmod works correctly with odd option combinations.
if test "$VERBOSE" = yes; then
set -x
chmod --version
fi
. $srcdir/../lang-default
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
trap '(exit $?); exit ... |
bda44db4e22ea44d9acfd71911b0900f5f022947 | 742 | #!/bin/bash
bundle check || bundle install --binstubs="$BUNDLE_BIN"
if [ -z $1 ]; then
if [ -f tmp/pids/server.pid ]; then
echo "Stopping old server processes..."
kill -SIGINT "$(cat tmp/pids/server.pid)" >/dev/null 2>&1
rm tmp/pids/server.pid
fi
echo "Starting rails server in $RAILS_ENV environment... |
9a72a284e4337554988d157e7946750901010831 | 379 | #!/bin/bash
# credit: https://pracucci.com/display-the-current-kubelet-context-in-the-bash-prompt.html
__kube_ps1()
{
if [ -f ~/.kube/config ]; then
CO="current-context:"
# Get current context
CONTEXT=$(cat ~/.kube/config | grep ${CO} | sed "s/${CO} //")
if [ -n "$CONTEXT" ]; the... |
9dcfc8f06256dd319e678d601931abc177af6d2f | 523 | #!/bin/bash
output="nodejs_php.js"
echo "Starting to compile all Functions, it may take a minute or two"
echo "module.exports = { " > $output
for dir in `ls functions`;do
for file in `ls functions/$dir`;do
#sed 's/function\s\(.*\)(/\1: function(/g' functions/$dir/$file >> $output
sed '0,/function/s/function\s\(.... |
3c5e4ee0a72785e9ad7b2066fe1eaa951ae46a37 | 156 | export GRASS_BATCH_JOB=/var/www/gis_spread/split_spread/files/admin_remove_rast.sh
sh /usr/bin/grass63 -text /var/www/gis_spread/Splitsko_dalmatinska/WebGis |
9cd2b4707fb5a77fed675f0751578c3e01a49d62 | 81 | echo "hello"
whoami
echo "testpurpose"
echo "hai rajesh this is for webhookhjki"
|
eac79ecc2f1804902de92a64bbf8abc3dc1d77e6 | 5,653 | #find candidate items
#input: file itemuri.txt output: folder itemcandidate (1000 files for 1000 target items)
mkdir itemcandidate
for i in $(cat itemuri);
do
j=$(echo ${i:27:11})
curl -G 'http://192.168.146.1:9999/blazegraph/namespace/data00/sparql' \
--header "Accept: text/csv" \
--data-urlencode query='... |
db01c6d2ad51f0f0160f9b88d06e16434095daab | 27 | django-admin loaddata blog |
e581b01755c74021e5d41d08f35579a503c3537e | 381 | #!/bin/sh
#set -x
openocd -f interface/picoprobe.cfg \
-f target/rp2040.cfg \
-c "init" \
-c "echo { ____ _}" \
-c "echo {| _ \ ___ ___ ___| |_}" \
-c "echo {| |_) / _ \/ __|/ _ \ __|}" \
-c "echo {| _ < __/\__ \ __/ |_}" \
-c "echo {|_| \_\_... |
69d7dcbbd97c9521050fa7eb136344c58a315409 | 125 | #!/bin/sh
#exec
/code/docker/wait-for-it.sh db:5432 -- python manage.py migrate --noinput
python manage.py initdb
exec "$@"
|
ac1f56b2b3a8edcde4ea8dbc6b1ccf0302e7e9eb | 183 | #!/bin/bash
sudo aptitude install expat curl libcurl4-gnutls-dev libcurl4-openssl-dev
tar -xvjf git-1.7.2.3.tar.bz2
cd git-1.7.2.3
./configure --prefix=/
make all
sudo make install
|
fd6045f8cc0903d9e897f9682903d6a46e2f9998 | 2,191 | #!/bin/bash
#
# Copyright (C) 2013-2021 Expedia Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or ag... |
7ea1a207934b3d56f0f0db01b61662feec1e4f07 | 739 | # Maintainer: Junfeng Qiao <qiaojunfeng at outlook.com>
# Contributor:
# https://github.com/qiaojunfeng/texlive-fontconfig
pkgname=texlive-fontconfig
pkgdesc=""
pkgver=20190225
pkgrel=1
arch=(any)
url='https://github.com/qiaojunfeng/texlive-fontconfig'
license=(custom)
#depends=(fontconfig xorg-fonts-encodings xorg-... |
b5da81a03d0330194e9f5124009e1308808189e6 | 849 | #!/bin/bash
# Script that use pactl to control volume and set volume limitation. Used from i3 config passing arguments
if [[ $1 == "inc" ]]; then
# volume=`/usr/lib/i3blocks/volume |sed s/%//`
volume=`$HOME/Documents/Script/i3block/volume |sed s/%//`
echo $volume
if [ "$volume" -lt 100 ]; then
... |
f692a12d14a41fa7669e9f379c869f8bc9b940fc | 666 | #!/usr/bin/env bats
load ../test_helper
@test "stacker build - missing environment key" {
environment() {
cat <<EOF
vpc_private_subnets: 10.128.8.0/22,10.128.12.0/22,10.128.16.0/22,10.128.20.0/22
EOF
}
config() {
cat <<EOF
namespace: ${STACKER_NAMESPACE}
stacks:
- name: vpc
class_path: stacker.te... |
84299fad7d206e4c4e51e5ab989a71dd95d7a66c | 425 | #!/bin/bash
# Wrapper script for starting & stopping frontier squid from supervisord
# stop squid if supervisord sends a TERM signal
trap "/etc/init.d/frontier-squid stop" TERM
# we tell squid to run in the foreground, but by telling the
# shell to start it in the background and waiting for it we
# prevent the sh... |
9ab05c1d2c25cc2c309c610cdf334f0a31b3d56e | 412 | #!/bin/sh
GPIO_S88_KEY=gpio_s88
GPIO_S88_START=startmrgpios88
MRSYSTEM_CFG_FILE=/etc/mrsystem
MRSTART_CFG_FILE=/etc/mrstart
GPIO_S88_PARAM=`fgrep $GPIO_S88_KEY $MRSYSTEM_CFG_FILE | cut -f 2 -d "\""`
GPIO_S88_START=`fgrep $GPIO_S88_START MRSTART_CFG_FILE | cut -f 2 -d "\""`
if [ "x$GPIO_S88_START" = xstop" ] ; then
s... |
3742d485a48200e2b5ec64ef7faeab5b1ad51ce4 | 314 | SERVER=127.0.0.1:5000
DATABASE_FILE="my.db"
RUST_LOG=debug
JWT_EXPIRATION_IN_H=12
# add a good secret here
JWT_KEY=
#RUST_BACKTRACE=1
LOGIN=your_user
# create a pw with
# htpasswd -nBC 12 "" | tr -d ':\n
# use single quotes to prevent variable substituation!
PASSWORD='?'
STATIC_WEBAPP_FOLDER = "webapp_build"
|
15f124d2a5b6965f7d193a691a30c8fdcd5e85c4 | 691 | #!/system/bin/sh
cr_by="@Greyhat666"
echo " Starting Tool [*] [*]"
echo " Installing Requirements [ * ] [ * ]"
echo "Installing ...."
echo "successfully Installed [ + ] [ + ] "
echo "Enter Your Username"
read x
print "Hello $x, Thanks For Using This Tool. This Tool Is created by $cr_by"
internetconn() {
if ping -c ... |
e3779cb7157dd072bc76bea19040228f8b69cb7b | 67 | SERVER_PORT=8080
LOG_API_FILE=api.log
LOG_REQUEST_FILE=request.log |
71e5055a10476c284ad0d39000a41024e91c44d5 | 4,468 | #!/bin/bash
#
# Install gcloud SDK and related components.
UTIL_DIR="${UTIL_DIR:-${HOME}/profile.d/util}"
GCLOUD_CONFIG_PATH="${HOME}/profile.d/config/gcloud.sh"
GCLOUD_SDK_DIR="${GCLOUD_SDK_DIR:-${HOME}/google-cloud-sdk}"
SDK="google-cloud-sdk-290.0.1-darwin-x86_64.tar.gz"
# shellcheck source=./profile.d/util/log.sh... |
01a7d527e741d3c7fb9ada156cf188205d1f7ed1 | 96 | #!/bin/sh
tmux split-window -v
tmux split-window -h
tmux select-pane -U
tmux resize-pane -D 16
|
85d5b42eab017c4c6472bed9f303610d6e629500 | 244 | #!/bin/sh
# Check if a newer docker image is available.
# Pull and restart if so.
# Expects running service, will start it if not!
# Service will restart!
docker-compose pull
docker-compose up --force-recreate --build -d
docker image prune -f |
75b61c42d6570719ce7803034e9785add4d8dd93 | 290 | #!/bin/bash
sum=0
#按规定的步数进行跳跃的方式实现列表for循环,例如计算1~100内所有的奇数之和
for i in {1..100..2}
do
let "sum+=i"
done
echo "sum=$sum"
for file in $( ls )
#for file in *
do
echo "file: $file"
done
|
ad89ea8e7f2220c17747374a7d7884a8ed10f598 | 316 | #!/bin/bash
#paras are group, user, codepath
if [ $# -ne 3 ]
then
exit 1
fi
chown $2:$1 -R $3
chown root:$1 $3/etc
chown root:$1 $3/etc/hadoop
chown root:$1 $3/etc/hadoop/container-executor.cfg
chown root:$1 $3
chown root:$1 $3/../
chown root:$1 $3/bin/container-executor
chmod 6150 $3/bin/container-executor
|
94a4ae49cabb2623193d594b51beb216c082f819 | 82 | #!/bin/sh
git config user.email prismabots@gmail.com
git config user.name Prismo
|
998671f547fb897096086876956e34327c893be2 | 5,065 | #!/bin/bash
INSTALL_ROOT=$(readlink -f $(dirname "${BASH_SOURCE}")/..)
echo "INSTALLER_ROOT: $INSTALL_ROOT"
source "$INSTALL_ROOT/shell/func.sh"
source "$INSTALL_ROOT/shell/master.properties"
step=1
echo -e "\n******** step $step network 网络相关问题配置 ********"
echo "******** 配置转发相关参数 generate /etc/sysctl.d/k8s.conf ****... |
415ed3b1b9bcbdbceeb3b72418ef4da47a49c20b | 2,896 | #!/bin/bash
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/home/gy/usr/Linux/64/gcc7/lib
MODEL_FOLD=./models
# /home/gy/share/workfile/shapnet/ShapeNetSemv0
# ./models
BIN=./scan_prediction
ICP_DIR=./shn_icp
SPHERE=./sphere-coarse.binary.obj
ReportFile=./report.txt
LOG_FILE=log.txt
OBJ=$1
function sum(){
input=($*)
... |
c1fbb622dea5b16939c2dc1ae47e10b5fa4f9468 | 94 | java -Djava.library.path=/usr/local/lib -cp ".:FDxSDKPro.jar" SecuGen.FDxSDKPro.samples.JSGD
|
a2f02739ae33b847a7520cf0fda7da4353be242e | 199 | #!/bin/bash
source "/vagrant/scripts/common.sh"
function disableFirewall {
echo "disabling firewall"
systemctl stop firewalld
systemctl disable firewalld
}
echo "setup centos"
disableFirewall
|
06d3a11055043bfd9efb30e5aa1b1e82adbf0e8e | 1,006 | #!/bin/bash
sudo apt-get update
sudo apt-get install -y g++ nfs-common
MINICONDA=https://repo.anaconda.com/miniconda/Miniconda3-latest-Linux-x86_64.sh
QLIB_CLIENT=https://github.com/microsoft/qlib.git
STOCK_DATA_DIR=/data/stock_data/qlib_data
CODE_DIR=$HOME/"code"
DOWNLOADS_DIR=$HOME/"downloads"
CONDA_DIR=$HOME/"mini... |
9d7fb96652d1bd8be5e52c473f48a45a0a44ec1e | 224 | #!/usr/bin/expect
# A Bash script to test the join room and leave room features
spawn ./index.js
expect "Nickname:"
send "Joy"
#expect "What would you like to do?"
#send "1"
# turn it back over to interactive user
interact |
2abf3bd481771aa3b601034ba60af3b2cf18d110 | 1,239 | #!/bin/sh
if [ -z "$1" ] # No argument passed?
then
echo "Usage: qoqt.sh 'executable_file_name'" ;
return 1
fi
SAVE_DIR=`pwd`
cd /mnt/us/cr3
if [ ! -f "$1" ] # Check if file exists and it is a regular one
then
echo "goqt: "$1" -- regular file does not exist." ;
exit 1
fi
if [ ! -x "$1" ]
then
... |
d0903cdb5889ef1e8d575cddbe8651e93443bcf0 | 2,921 | #!/bin/sh
#postinstall.sh
BASEDIR=$(dirname "$0")
echo "$BASEDIR"
. "$BASEDIR"/setup.ini
SPRPath=${PRPath["OSX$shortver"]}
INSTALL_PNAME="${PrinterName}"
cp -Rf "$BASEDIR"/setup.ini /usr/libexec/cups/backend/setup.ini
chmod -R 777 /usr/libexec/cups/backend/setup.ini
#进程自启动
chmod -R 777 /private/var/isectoolsdir... |
d2ea915fadf98554c6122e4420997245be3d510a | 1,031 | #!/bin/bash
path=$0
if [[ -L $0 ]]; then
path=$(readlink $0)
fi
DIR="$(cd "$(dirname "$path")" && pwd)"
if [ $# == 0 ]; then
echo "Usage: ./prod <start|stop|logs>"
exit 1
fi
if [ $1 == "start" ]; then
echo "Starting..."
WEB_VERSION=$(if [ -f web.version ]; then cat $DIR/build/web.version; fi) \
... |
6a914a12115aa28b98cc967cb4d688f8327d4d3e | 219 | #
# Copy and rename this file to .env at root of this project.
#
COVID_PORT_NGINX=1577
COVID_PORT_MYSQL=1580
COVID_PORT_ADMINER=1582
COVID_PROJECT_DIR=../drupal
COVID_MYSQL_ROOT_PASSWORD=password
COVID_USER=1000:1000
|
62fbe7a7be65a82700f6c0190e2b3d6aca3c1b73 | 524 | #!/usr/bin/env bash
export LD_LIBRARY_PATH=/hive/lib:/usr/local/cuda/lib64/:/usr/local/cuda/lib64/stubs:/hive/miners/custom/epic:$LD_LIBRARY_PATH
export LIBRARY_PATH=/usr/local/cuda/lib64/:/usr/local/cuda/lib64/stubs:$LIBRARY_PATH
export PATH=/usr/local/go/bin:/usr/local/cuda/bin/:$PATH
CUSTOM_DIR=`dirname $0`
cd $CU... |
8b2b04cd73c3d441e77e77732c9d572d96d6a87b | 148 | #!/bin/bash
cd ~/projects/cq-dev-bootstrap
sudo java -jar target/cq-dev-bootstrap-DEVEL-SNAPSHOT-executable.jar && open https://localhost/dashboard
|
9a4cc7eeec5507ef9b2497388311b2f53a1bd3a8 | 27 | ../bats_core/02_dotnet.bats |
2f33287367340c4658ee9820fba4ac8ab08cd857 | 860 | #!/bin/bash
if [ $# -lt 2 ]
then
DIR=.
else
DIR=$2
fi
if stat -t ${DIR}/datacard_${1}[-_]M=??0.txt >/dev/null 2>&1
then
for datacard in ${DIR}/datacard_${1}[-_]M=??0.txt
do
DIR=`dirname $datacard`
file=`basename $datacard .txt`
suffix=${file##datacard_}
mass=`ls $datacard | eg... |
cba5b217a62fff28b2ca08794a4883b5e51a4a32 | 194 | #!/bin/bash
cat LogA.txt | sed s/INCORRECTPASSWORD/ACCESSDENIED/ > Update1CombinedAccesslogs.txt
cat Update1CombinedAccesslogs.txt | awk -F" " '{print$4, $6}' > Update2CombinedAccess_logs.txt
|
cb91097dca5bcfd24bff9ff2160c170ae961b243 | 101 | #!/bin/sh
# run in dev mode
docker build --build-arg BUILDMODE=debug-docker -t restpie-dev-image .
|
70ae608ea89ccbc1ee5150a0e69d5350fee07340 | 88 | #!/bin/bash
# print the first two lines to outputfile
sed '1,2w outputfile' inputfile
|
dc7d46613168914c0c805908ccf9014cdb86ac44 | 226 | #!/bin/bash
cluster=`hostname -s`
cluster=${cluster:0:1}
RCMD=/usr/bin/ssh
if [ "$cluster" == "n" ]; then
RCMD=/usr/bin/rsh
elif [ "$cluster" == "r" ]; then
RCMD=/usr/bin/rsh
fi
echo ">>> $RCMD $(date) $@"
exec $RCMD "$@"
|
e24df843e64c4d89a42a2b16ce776940fa64e084 | 1,222 | #
# ~/.bashrc
#
# If not running interactively, don't do anything
[[ $- != *i* ]] && return
#PS1
RET='$(Ret=$? ; [ ${Ret} -eq 0 ] && echo -n "\[\e[32;1m\]▪" || echo -n "\[\e[31;1m\]▪")'
#RET='$(Ret=$? ; [ ${Ret} -eq 0 ] && echo -n "\[\e[32;1m\]▪" || echo -n "\[\e[31;1m\]${Ret}")'
# PS1
red="\[\e[0;32m\]"
yellow="\[\... |
cabc5f2e8262d87e89cef62e06aa90a35e082edd | 228 | #! /bin/bash
#PBS -N GPUHelloWorld
#PBS -o out.log
#PBS -e err.log
#PBS -q gpu
module load compiler/anaconda3
source /home/debayan-student-03/gpustarter/env/bin/activate
python3 /home/debayan-student-03/gpustarter/gpustarter.py
|
c9ff1f54a7dc2828b4a79be72e3e02ea26364bfe | 37 | #!/bin/sh
echo "shell start success"
|
29985017ada20fd550fe8915162a284031abbdfd | 1,169 | #!/bin/bash
#
# Creates xelaie DB and tables on MySQL server at localhost.
source init.sh || exit
HOST=localhost
read -r -p "This script will DROP ALL DB DATA and rebuild the database at ${HOST}. Is this your intent? [y/N] " response
if [[ ! $response =~ ^([yY][eE][sS]|[yY])$ ]]; then
exit
fi
DB_NAME=$(cfg mysql.... |
b149dbafc061b3b4639c65ffd7a2bc273b2cb270 | 155 | #!/usr/bin/env bash
set -euo pipefail
PGPASSWORD=spoke_test psql -h localhost -p 5432 -U spoke_test spoke_test <<EOF
CREATE EXTENSION pg_trgm;
EOF
|
f153d66333fc4bfa1bf76dd23f7cba34611ecec0 | 486 | #!/bin/bash
# if there was a problem with run.sh delete data dir so the database cab be re-initialized:
# rm -rf data
echo -n "• Deleting containers: "
sudo podman stop todo_frontend &>/dev/null
sudo podman stop todoapi &>/dev/null
sudo podman stop mysql &>/dev/null
sudo podman rm todo_frontend &>/dev/null
sudo podma... |
924187d4a467b2bf1c27f035ef21aadaae3aaeee | 1,637 | #!/usr/bin/bash
echo "Installing Docker..."
sudo apt-get update
sudo apt-get remove docker docker-engine docker.io
echo '* libraries/restart-without-asking boolean true' | sudo debconf-set-selections
sudo apt-get install apt-transport-https ca-certificates curl software-properties-common -y
sudo curl -fsSL https://dow... |
3d21f5ca37b35cc1f359e806e2606fbb8e006170 | 598 | #!/usr/bin/env sh
starting_dir="$PWD"
home_dir="$HOME"
echo home_dir:$home_dir
#1. If catkin workspace doesn't exist, Create a catkin workspace
if [ ! -d "$home_dir/catkin_ws/src" ]; then
# Control will enter here if $DIRECTORY doesn't exist.
echo "Creating a catkin workspace @ $home_dir/catkin_ws"
cd ~
mkdir... |
485da22197d9d2c029c20619369a1ab12b7c64b0 | 1,211 | #1/bin/bash
case $1 in
total)
echo "SELECT (PagesTotal*PageSize) DataMB FROM (SELECT variable_value PagesTotal FROM information_schema.global_status WHERE variable_name='INNODB_BUFFER_POOL_PAGES_TOTAL') A, (SELECT variable_value PageSize FROM information_schema.global_status WHERE variable_name='Innodb_page_size') ... |
16d366a1bbc12369cad63e6b47c377e4476d1254 | 104 | #sudo apt-get install -y sun-java-jdk sun-java-jre
sudo apt-get install -y openjdk-6-jdk default-jdk
|
746529770b16d02d311f87c5aac0d3287e30abef | 1,381 | #!/bin/bash
readonly REPO_ROOT="$(git rev-parse --show-toplevel)"
# Display a box banner.
# Parameters: $1 - character to use for the box.
# $2 - banner message.
function make_banner() {
local msg="$1$1$1$1 $2 $1$1$1$1"
local border="${msg//[-0-9A-Za-z _.,:\/()]/$1}"
echo -e "${border}\n${msg}\n${bo... |
f3389b2b0164aead50fc4c04a0811455f6198d73 | 1,527 | #!/bin/bash
## history.sh ##
# get history out of home dir
HISTDIR=${HOME}/.history
[ -d $HISTDIR ] || mkdir --mode=0700 $HISTDIR
[ -d $HISTDIR ] && chmod 0700 $HISTDIR
# each shell has its own history file
HISTFILE=$HISTDIR/history.$$
# don't put duplicate lines or lines starting with space in the history.
# See b... |
d2db5dd21a2d028a18f137155352eef69f80edd7 | 65 | #!/bin/bash
./a.out < input.txt > p.out
diff -y p.out output.txt
|
5289dcde3e5b64d97f8b2b7d44d35b96957042a9 | 44 | ./make/prebuild/r3-make-osx -qs make/make.r3 |
a626da74aed32ccab80d96750b0b76d72ec8bd89 | 95 | mkdir conv
for i in $( ls *.jpg); do convert -resize '1280x1280>' -quality 80 $i conv/$i; done
|
25d1fb897573dd3595fecbfbd852833c93e8b97e | 1,294 | mkdir android_arm_build;
mkdir android_x86_build;
mkdir linux_x64_build;
DIR=`pwd`
ANDROID_NDK=/opt/android-ndk
#Android ARM
cd android_arm_build
PKG_CONFIG_PATH=$PKG_CONFIG_PATH:$HOME/.local/android/armeabi-v7a/lib/pkgconfig/ cmake ../ -G Ninja -DCMAKE_SYSTEM_NAME=Android -DCMAKE_ANDROID_ARCH_ABI=armeabi-v7a -DANDRO... |
be9ce196487774701b3b2ff6f3a03e6f4aa81add | 2,659 | #!/usr/bin/env bash
set -eo pipefail
source /srv/provision/provision-helpers.sh
# Grab the currently active PHP mods, and lowercase it for comparison
enabled_mods=$(php -m)
enabled_mods=${enabled_mods,,}
# These PHPMods all interfere with each other in some way
phpmods=(
"xdebug"
"xhgui"
"tideways_xhprof"
"pcov"... |
dff9f187a7242f504679fd40dcf1bc244a637452 | 369 | #!/bin/bash
os=windows
arch=amd64
cd client && \
GOOS="$os" GOARCH="$arch" go build \
-o ../bin/twilight-line-go-client-"$os"-"$arch".exe && \
cd - >/dev/null
if [ $? -ne 0 ]; then exit 1; fi
cd server && \
GOOS="$os" GOARCH="$arch" go build \
-o ../bin/twilight-line-go-server-"$os"-"$arch".exe && \
cd - >/d... |
673e852598a0e6edef135cc509c2f17497bc79a3 | 82 | PORT=5000
URI=mongodb+srv://wanis:zZri5JcKb8HYwJHC@cluster0.xzx9y.mongodb.net/test |
5d73fb742611dc756951559055e8e4851a4ab650 | 373 | mv en/markup_operations_bar.png .
mv en/markup_operations_parser.png .
mv en/parser_01.jpg .
mv en/markup_abrir_programa.jpg .
mv en/parser_openFile.jpg .
mv en/parser_openFile2.jpg .
mv en/parser_openFile3.jpg .
mv en/parser_openFile4.jpg .
mv en/parser_config.jpg .
mv en/parser_config1.jpg .
mv en/parser_parse.jpg .
... |
9383613e0e686973ef3b1a562b72eb7a7443b487 | 1,105 | #!/bin/bash
. $BASEDIR/include/common.sh
if [ $DISTNAME == "openSUSE-leap" ]; then
REPOSITORY=http://download.opensuse.org/distribution/leap/$RELVER/repo/oss/
UPDATES=http://download.opensuse.org/update/leap/$RELVER/oss/
else
REPOSITORY=http://download.opensuse.org/distribution/$RELVER/repo/oss/
UPDAT... |
a4a20fdd60bf66bf475b6b252861aa53e1c5a4d7 | 663 | #!/bin/bash
INFO="\033[34m"
GREEN="\033[32m"
YELLOW="\033[33m"
RED="\033[31m"
NOCOLOR="\033[0m"
function print_info {
printf "${INFO}%s${NOCOLOR}" "$1"
}
function print_success {
printf "${GREEN}%s${NOCOLOR}" "$1"
}
function print_warning {
printf "${YELLOW}%s${NOCOLOR}" "$1"
}
function print_error {
... |
21550e507449f390ab3b398ebc4cbdd1d573df80 | 875 | #!/bin/bash
#if your tmux counts from 1 instead of 0, change this
START_INDEX_NUMBER=0
SESSION="transman" # translation-manager
FOLDER_FRONTEND=$PWD # to assign to a variable
#create detached session named $SESSION
tmux new-session -d -s $SESSION
#split the pane horizontally in half
tmux splitw -h -p 50 -t $... |
0ccaa1c553173a49b38379a894b5bb92818233c8 | 36 | exec awk -f "$SNG_SUBCMD_IMPL" "$@"
|
8d30f044cc93576da02218e4b0a0fc500451a278 | 58 | #!/usr/bin/env bash
env $(cat .env | xargs) node index.js
|
50dd13d424bcb427e8422266ce98490064e090f4 | 98 | #!/bin/bash
nordvpn set dns 1.1.1.1 1.0.0.1
nordvpn set killswitch on
nordvpn set autoconnect on
|
c8eac438a2c460091184990ddb866b3d87e48baf | 138 | How to unstage a staged file
Pushing tags to a server
Search by commit message keyword
How to write a git commit message
Perform a dry run |
d998400cc90ec7570b4a3670c820660a41c1e2fe | 1,492 | #!/bin/sh
# THIS IS NOT A RULE, but a shell script that looks for common problems
# and typos in rules.
echo "-- Rules not anchored to beginning of a line:"
grep from= *.xml | cut -d\" -f2 | grep '^[^^]' || echo "(None.)"
echo
echo "-- Rules with unescaped dots:"
grep from= *.xml | cut -d\" -f2 | grep '[^\]\.[^*]' || ... |
d19d1b573b1a5080df97100c1e215399997f76bc | 612 | # -*- bash-script -*-
#
# default of common settings
#
if [[ -z $FULLNAME ]]; then
FULLNAME=$(fgrep $USER /etc/passwd | cut -d: -f5)
fi
if [[ -z $EMAIL ]]; then
EMAIL="${USER}@${HOSTNAME}"
fi
if [[ -z $GPG_SIGNER ]]; then
if __zkit_have gpg2; then
gpg=gpg2
elif __zkit_have gpg; then
gpg=gpg
fi
... |
5622f0a36380bc64c101864a2b34cd374bac6723 | 123 | ../.git/annex/objects/6Q/9j/MD5E-s2579--705847d23069967f7b2efd21faa52f16.sh/MD5E-s2579--705847d23069967f7b2efd21faa52f16.sh |
b132c37c36d05f9ab46a0f2c36eaff9abb98f1db | 419 | #! /bin/bash
# Copy the SRL inmage X.Y.Z-N.tar.xz file into Project directory on Centos 8 Host Machine.
# TBD
# Copy the license.key into Project directory.
# TBD
# Load the docker image.
# - To load the image, the user must have root privilege, or be part of the docker group.
docker image load -i 2... |
2ab95571ea4a1e5af64fe227ce90313c363cd856 | 1,364 | #!/usr/bin/env bash
###########################
# This script restores backed up dotfiles
# @author Adam Eivy
###########################
#################################
# Move to the directory
#################################
SOURCE="${BASH_SOURCE[0]}"
while [ -h "$SOURCE" ]; do # resolve $SOURCE until the file i... |
d5ea948e71c17b6c3d1596ca8d3800108a97dd50 | 612 | #!/bin/bash
HDFS_HOME="$HADOOP_HOME"
HDFS_CONF_DIR="/opt/edp/${service.serviceName}/conf"
SPARK_HISTORY_LOGS_DIR="${conf['spark.history.fs.logDirectory']}"
/bin/bash -c "$HDFS_HOME/bin/hadoop --config $HDFS_CONF_DIR fs -test -e $SPARK_HISTORY_LOGS_DIR"
if [ $? -eq 0 ] ;then
echo "$SPARK_HISTORY_LOGS_DIR ... |
d38de66a6b305038844e91e83d4cd2686e94f3f9 | 2,554 | # Maintainer: Sam S. <smls75@gmail.com>
pkgname=spaz-hib
pkgver=2012_09_18
_hibver=09182012
pkgrel=0
pkgdesc='Space Pirates and Zombies, a top-down space combat game (Humble Bundle version)'
url='http://spacepiratesandzombies.com/'
arch=('i686' 'x86_64')
license=('custom:commercial')
depends=('gcc-libs' 'libgl' 'sdl' ... |
61ca4b829bf8c8f07e7d89945308ef208777248e | 239 | sudo apt-get install python3-venv
echo "setting up virtual environment"
python3 -m venv venv
echo "activating virtual environment"
. venv/bin/activate
pip install Flask
export FLASK_APP=__init__.py
export FLASK_ENV=development
flask run |
ae07f717e4a94de79e64c4a0bf6f4afbae6f71e5 | 1,515 | #!/bin/bash
#
# Init file for Dovecot IMAP daemon
#
# Written by Dag Wieers <dag@wieers.com>.
#
# chkconfig: 345 57 46
# description: Dovecot IMAP Daemon
#
# processname: dovecot
# config: /etc/dovecot.conf
# pidfile: /var/run/dovecot
### BEGIN INIT INFO
# Provides: dovecot
# Required-Start: $network $remote_fs
# Requ... |
aa63a5d582fadcb778e9160bc83a2e0a9acce92c | 194 | #!/bin/bash
#grep nico /etc/passwd | awk -F: '{print $1 "\t" $2 "\t" $3 "\t" $4 "\t" $5 "\t" $6 "\t" $7}'
grep nico /etc/passwd | awk -F: 'BEGIN{FS=":"; OFS="\t"}{print $1,$2,$3,$4,$5,$6,$7}'
|
288021e63e6469c1ce9ac9ea17dc08c56010b2e4 | 547 | #!/bin/bash
export SCRAM_ARCH=slc6_amd64_gcc481
cd /afs/cern.ch/user/k/ktos/BBA/CMSSW_7_4_1_patch1/src
eval `scramv1 runtime -sh`
cd -
source /afs/cern.ch/cms/caf/setup.sh
cp /afs/cern.ch/user/k/ktos/BBA/CMSSW_7_4_1_patch1/src/BBA/Producers/BSUB/TrigProd_amumu_a5_dR5/trigger_amumu_producer_cfg_TrigProd_amumu_a5_dR5_15... |
d8a531e10512ed6bc2d345d70d8b839c6a215b6e | 2,017 | #!/bin/bash
#Gernarate CDN group file for dnsforwarder.
SLIENT=
CURL_EXTARG=''
help() {
echo " Usage: $0 [options] -o FILE."
echo " -i, --insecure: Force bypass certificate validation (insecure)."
echo " -o, --output <FILE>: Output to <FILE>."
echo " -h, --help: Usage."
}
while [ ${#} -gt 0 ]; do
c... |
f5a0be29eaccf0e7b25f72588b9fdab581bdb21d | 809 | #!/bin/sh
. $openrc
openstack volume list
volumename=$1
volumeid=$(openstack volume list| grep $volumename |awk '{print $2}')
mysql -uroot -p123456 -h $vip -e "DELETE FROM cinder.volume_admin_metadata WHERE volume_id ='$volumeid';"
mysql -uroot -p123456 -h $vip -e "DELETE FROM cinder.volume_glance_metadata WHERE volu... |
186f5f6d22c6827d39f192cfe51a60fb1d2900c4 | 449 | #! /bin/bash
start_cl() {
echo "start_cl"
scrapyd --pidfile /data/scrapy/scrapyd.pid -l /var/log/scrapyd/scrapyd.log &
sleep 10
curl http://localhost:6800/schedule.json -d project=cltest -d spider=cl
echo "done."
}
retry_cl() {
echo "retry_cl"
curl http://localhost:6800/schedule.json -d p... |
769c9acb4a51b5998524833b6c24d6234dd95f59 | 8,573 | #!/bin/bash
# CDF
# ---------------------------
# Change working directory to the top-most Finder window location
# From: https://github.com/mathiasbynens/dotfiles/blob/master/.functions
function cdf() { # short for `cdfinder`
cd "$(osascript -e 'tell app "Finder" to POSIX path of (insertion location as alias)')"... |
f96a31f3f0396e08f1672a7f5eb952fef6d440af | 519 | #!/bin/bash
export AWS_DEFAULT_REGION=eu-central-1
response=$(aws --no-sign-request --endpoint-url http://localhost:9324 sqs receive-message --queue-url http://localhost:9324/queue/Response)
echo "Response from SQS"
echo $response
if [ -z "$response" ]
then
exit
fi
aws --no-sign-request --endpoint-url http://loc... |
35a5f29d11f881796b19680ea4fd6f7bd2f37d59 | 442 | #!/bin/bash
gen_rand () {
echo gen_rands
rm input.dat
echo 4 >> input.dat
printf "\n" >> input.dat
for i in `seq 4`
do
for n in `seq 4`
do
echo $(( ( RANDOM % 10 ) + 1 )) >> input.dat
printf "\n" >> input.dat
done
done
}
gen_rand
./main < input.dat 1>>/dev/null ... |
2c661ce9df588a7ee59f67c7a494230e59909f86 | 410 | for target in CommitmentSigned FundingCreated FundingLocked FundingSigned OpenChannel RevokeAndACK Shutdown UpdateAddHTLC UpdateFailHTLC UpdateFailMalformedHTLC UpdateFee UpdateFulfillHTLC AcceptChannel ClosingSigned; do
tn=$(echo $target | sed 's/\([a-z0-9]\)\([A-Z]\)/\1_\L\2/g')
fn=msg_$(echo $tn | tr '[:upper:]' '... |
230fd157960f979d2c0d2aa9f46d66139a1ba00c | 2,952 | #! /bin/sh
#
# pure-ftpd-authd starts and stops the pure-ftpd ftp daemon
PATH=/sbin:/bin:/usr/sbin:/usr/bin
NAME=pure-ftpd
DESC="ftp server"
: ${SSDAEMONLOGOPTS:="--quiet"}
UPLOADDAEMON=/usr/sbin/pure-uploadscript
UDNAME=pure-uploadscript
UDDESC="ftp upload handler"
AUTHDAEMON=/usr/sbin/pure-authd
ADNAME=pure-authd
AD... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.